aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJosh Triplett <josh@joshtriplett.org>2014-12-06 14:47:20 -0800
committerKay Sievers <kay@vrfy.org>2014-12-25 22:14:34 +0100
commita008d76f995b8066979ff2c08eba926eac0a50a9 (patch)
tree8b9ece5ca89b1e37a2db75bd57ada973a2597bdf
parentb2fd181638a1a164cae14cf94836fccf5b26db89 (diff)
downloadlibabc-a008d76f995b8066979ff2c08eba926eac0a50a9.tar.gz
autogen.sh: set -e separately, rather than putting -e in the shebang line
Otherwise, if someone uses "sh autogen.sh", the -e will get ignored.
-rw-r--r--[-rwxr-xr-x]autogen.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 0d60b0a..16c0eb3 100755..100644
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \